Subject: bug#43389: 28.0.50; Emacs memory leaks

From: Michael Heerdegen <[email-masked]>
Date: Mon, 09 Nov 2020 21:46:11 +0100

Eli Zaretskii <[email-masked]> writes:

> So it seems to be our heap that takes most of the 5GB.

Today it happened again to me.  I'm writing from an Emacs session using
more than 5 GB of memory.  I've started it some hours ago and have no
clue why today had been special.  I didn't do anything exceptional.

Here is output from memory-usage:

Garbage collection stats:
((conses 16 2645730 3784206) (symbols 48 68678 724) (strings 32 528858 451889) (string-bytes 1 18127696) (vectors 16 213184) (vector-slots 8 3704641 2189052) (floats 8 2842 5514) (intervals 56 264780 87057) (buffers 992 119))

 =>	40.4MB (+ 57.7MB dead) in conses
	3.14MB (+ 33.9kB dead) in symbols
	16.1MB (+ 13.8MB dead) in strings
	17.3MB in string-bytes
	3.25MB in vectors
	28.3MB (+ 16.7MB dead) in vector-slots
	22.2kB (+ 43.1kB dead) in floats
	14.1MB (+ 4.65MB dead) in intervals
	 115kB in buffers

Total in lisp objects:  216MB (live  123MB, dead 93.0MB)

Buffer ralloc memory usage:
119 buffers
16.1MB total (1.71MB in gaps)

Anything I can do to find out more?  I dunno how long I can keep this
session open.  Tried `clear-image-cache', it does not release any
memory.

Michael.